#!/usr/bin/env bash

# Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
# SPDX-License-Identifier: MIT-0

set -e

if [ "$#" != "5" ]
then
        echo "Call this script with Multitenant_S3_Source_Location, Destination Prefix_and_Folder_hash, S3_bucketname_with_blog_artifacts properties_filename"
        exit 3
fi

export S3_BUCKET_NAME=${1}
export DEST_PREFIX=${2}
export FOLDER_HASH=${3}
export S3_BUCKET_NAME_BLOG_ARTIFACTS=${4}
export PROPERTIES_FILENAME=${5}

echo "Copy Apache Hudi Deltastreamer Command Properties: Start"
aws s3 cp s3://${S3_BUCKET_NAME_BLOG_ARTIFACTS}/ApacheHudiDeltaStreamerCommandProperties/${PROPERTIES_FILENAME}  /home/hadoop/dfs-source.properties
sed -i "s|-s3_bucket-|${S3_BUCKET_NAME}|" /home/hadoop/dfs-source.properties
sed -i "s|-dest_prefix-|${DEST_PREFIX}|" /home/hadoop/dfs-source.properties
sed -i "s|-folder_hash-|${FOLDER_HASH}|" /home/hadoop/dfs-source.properties
echo "Copy Apache Hudi Deltastreamer Command Properties: done"
